×

INDI Library v1.9.0 Released (23 Apr 2021)

Major INDI Library release v1.9.0 bring significant internal changes championed by @pawel-soja to modernize core INDI Library drivers and clients. New drivers for DeepSkyDad Flat Panel & Pegasus devices plus further improvements to PCM8 drivers.

HEQ5 Mount STOPS Tracking and K-Stars Rendomly shuts down

  • Posts: 19
  • Thank you received: 1
Eric,

Thank you. If I am running Astroberry, do I update by just running "sudo apt update & upgrade"?

Jim
1 year 3 months ago #50399

Please Log in or Create an account to join the conversation.

  • Posts: 30
  • Thank you received: 6
Thank you! It was a minor item, I just worked it into my workflow. But it will be nice to have it addressed for scheduler purposes.
1 year 3 months ago #50401

Please Log in or Create an account to join the conversation.

  • Posts: 17
  • Thank you received: 5

This is exactly what happened to me because of a noisy power supply (and it was a 12V 5A one, so no low current issues, just noise). Looking at the logs it was clear that DEC and RA counts were off-limits (meaning off the expected number range) because of spurious bytes being received.

I would be very wary of just disabling the "abort tracking" option as a permanent fix. Communication problems also affect slews and you might end up with your scope trying to become one with the tripod.

Ricardo.
1 year 3 months ago #50436

Please Log in or Create an account to join the conversation.

  • Posts: 964
  • Thank you received: 289
Depending on which package you are pulling from, you may need to wait until the patch is integrated into a new version. Given that the PR was merged yesterday, the next new version you see when running your apt upgrade should have the change.

EDIT: I'm also in the process of fixing the indi-eqmod horizon management. Stay tuned.

-Eric
HEQ5-Pro - Atik 314E - Orion ED80T - DMK21 on Orion 50mm
DIY 3D-printed Moonlite and FWheel RGB/LPR
KStars and indiserver on two Atom 1.6GHz 1GB RAM Linux, VPN remote access
Last edit: 1 year 3 months ago by Eric.
1 year 3 months ago #50446

Please Log in or Create an account to join the conversation.

  • Posts: 964
  • Thank you received: 289
I also pushed PR#65 at github.com/indilib/indi-3rdparty/pull/65 that should fix the horizon management, at least in the eqmod driver.

You should be able to enter your horizon sets and have them properly asserted by the mount driver, promptly aborting tracking/slewing/goto-ing. That might help people with cramped observatory spaces :)

Note that the interpolation of altitude between horizon points is still linear, not spherical.

-Eric
HEQ5-Pro - Atik 314E - Orion ED80T - DMK21 on Orion 50mm
DIY 3D-printed Moonlite and FWheel RGB/LPR
KStars and indiserver on two Atom 1.6GHz 1GB RAM Linux, VPN remote access
1 year 3 months ago #50469

Please Log in or Create an account to join the conversation.

  • Posts: 19
  • Thank you received: 1
Will this fix this message...



Jim
1 year 3 months ago #50572
Attachments:

Please Log in or Create an account to join the conversation.

  • Posts: 964
  • Thank you received: 289
The warning? It's somehow innocuous I think: you did not define any horizon points, that's all. If the message bothers you, perhaps you could write the empty file from the INDI interface (and perhaps find another bug if the driver crashes while reading an no-data file?).

-Eric
HEQ5-Pro - Atik 314E - Orion ED80T - DMK21 on Orion 50mm
DIY 3D-printed Moonlite and FWheel RGB/LPR
KStars and indiserver on two Atom 1.6GHz 1GB RAM Linux, VPN remote access
1 year 3 months ago #50639

Please Log in or Create an account to join the conversation.

Time to create page: 0.359 seconds